cxf-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nino Saturnino Martinez Vazquez Wael <nino.marti...@jayway.dk>
Subject Re: jsr181 annotations?
Date Wed, 19 Dec 2007 11:10:37 GMT
thanks for the information. Good to know why.

Daniel Kulp wrote:
> It's partially because Sun keeps screwing around with their maven 
> repository and replacing jars without changing version numbers, 
> modifying pom dependencies, etc...   
>
> For example:
>       <dependency>
>           <groupId>javax.xml.ws</groupId>
>           <artifactId>jaxws-api</artifactId>
>           <version>2.1</version>
>       </dependency>
>
> The one at the Sun repository is DIFFERENT than the one with the same 
> groupid/artifactId at central.   That is because central took the 
> original one, but Sun then decided to change it later.   At central we 
> took the updated version and set the version to 2.1-1 (which is what CXF 
> now uses).   I would suggest using that version.   If you don't, you 
> will run into issues depending on which version maven downloads first.   
> For reproducible builds, I highly suggest sticking with the jars and 
> such that are available at central.   For JSR-181, the geronimo-specs 
> versions are probably the best.  
>
> Dan
>
>
>
>
> On Tuesday 18 December 2007, Nino Saturnino Martinez Vazquez Wael wrote:
>   
>> Sorry this was wrong, seems you need the geronimo one after all..
>>
>> Nino Saturnino Martinez Vazquez Wael wrote:
>>     
>>> Hmm
>>>
>>> This seems very vendor specific, I though as with JPA these
>>> annotation would be decoupled and loosely attached, so after writing
>>> the service you could select a vendor?
>>>
>>> Btw we are using tomcat.. I've had some luck using this:
>>>
>>>      <dependency>
>>>          <groupId>org.apache.cxf</groupId>
>>>          <artifactId>cxf-rt-frontend-jaxws</artifactId>
>>>          <version>2.0.3-incubator</version>
>>>      </dependency>
>>>
>>> But again it seems to be specific for cxf, it includes a
>>> jax-ws-api.jar .. Oh this is the solution:)
>>>
>>> So the dependency should be, for the latest version:
>>>      <dependency>
>>>          <groupId>javax.xml.ws</groupId>
>>>          <artifactId>jaxws-api</artifactId>
>>>          <version>2.1</version>
>>>      </dependency>
>>>
>>>
>>>
>>> regards Nino
>>>
>>> Freeman Fang wrote:
>>>       
>>>> Hi,
>>>> Try add
>>>>
>>>>             <dependency>
>>>>                 <groupId>org.apache.geronimo.specs</groupId>
>>>>                
>>>> <artifactId>geronimo-ws-metadata_2.0_spec</artifactId>
>>>> <version>1.1.1</version>
>>>>             </dependency>
>>>>
>>>> in your pom
>>>> This dependency should have jsr181
>>>>
>>>> Freeman
>>>>
>>>> On Dec 18, 2007 6:23 PM, Nino Saturnino Martinez Vazquez Wael <
>>>>
>>>> nino.martinez@jayway.dk> wrote:
>>>>         
>>>>> Hi
>>>>>
>>>>> We are using java 1.5, and I've been trying to find the maven
>>>>> dependency
>>>>> for jsr181 annotations all day now but cant find them.
>>>>>
>>>>> Now this is what I've found, although maven denies to download it
>>>>> gives me an url and I can install manually:
>>>>>
>>>>> http://repo1.maven.org/maven2/javax/jws/jsr181/1.0/
>>>>>
>>>>> But seems to be more of a tool kit and feels somewhat wrong, also
>>>>> eclipse does not pickup the new annotations. Eclipse picked up the
>>>>> jsr181 from xfire just fine. So I am starting to think that I am
>>>>> way off
>>>>> track here?
>>>>>
>>>>> --
>>>>> Nino Martinez Wael
>>>>> Java Specialist @ Jayway DK
>>>>> http://www.jayway.dk
>>>>> +45 2936 7684
>>>>>           
>
>
>
>   

-- 
Nino Martinez Wael
Java Specialist @ Jayway DK
http://www.jayway.dk
+45 2936 7684


Mime
View raw message